using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using ECOT.Engine;
using Microsoft.Xna.Framework.Graphics;

namespace ECOT.Game.Buildings
{
    public enum EducationBuildingCategory
    {
        School,
        University,
        Stadium,
        Library
    }

    public class EducationBuilding : CityBuilding
    {
        private EducationBuildingCategory educationCategory;

        public EducationBuilding(BuildingInfo infos)
            : base(infos, BuildingCategory.Education)
        {
        }

        public override void Online(bool firstOnline, bool launchSound)
        {
            base.Online(firstOnline, launchSound);
            if (firstOnline)
                this.currentProduction.Depend(this.infos.Production * ((this.city.LevelVariable - 1) * 0.6 + 1));

            this.city.LibraryDomain.Production.Depend(this.currentProduction);
        }

        public override object Clone()
        {
            EducationBuilding clone = new EducationBuilding(infos);
            this.Initialize(clone);
            return clone;
        }

        public override void DayChanged()
        {
            base.DayChanged();
        }

        public override void Focus()
        {
            base.Focus();
        }
    }
}
